PipeWire: Data Fields

PipeWire 0.3.34

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- sample_rate : impl
- save : profile , route , route_info
- scanning : impl
- sched_link : spa_graph_node
- sdevice : device
- seat_active : impl
- seconds : spa_io_segment_video
- segments : spa_io_position
- send_command : pw_node_methods , spa_node_methods
- sender : module_roc_sink_data
- seq : device , filter , impl , param_filter , registry_event , resource_data , result_device_params_data , result_node_params_data , result_port_params_data , spa_meta_header , stream , sync
- sequence : spa_io_sequence , spa_meta_control
- server : client , client_data
- server_demarshal : pw_protocol_marshal
- server_list : impl
- server_marshal : pw_protocol_marshal
- sess_latency_msec : module_roc_source_data
- session : impl , metadata
- session_listener : impl , metadata
- set_callbacks : spa_node_methods
- set_io : spa_node_methods
- set_param : pw_device_methods , pw_node_methods , spa_device_methods , spa_node_methods
- set_paused : pw_protocol_client
- setup_complete : client
- signal : spa_graph_link
- signal_data : spa_graph_link
- signal_event : spa_loop_utils_methods
- signalfd_create : spa_system_methods
- signalfd_read : spa_system_methods
- signature_denom : spa_io_segment_bar
- signature_num : spa_io_segment_bar
- sink : impl
- sink_browser : impl
- sink_listener : impl
- sink_props : impl
- sink_ready : impl
- size : data , mapping , object_info , pw_array , pw_buffer , pw_map_range , pw_memblock , pw_memmap , spa_chunk , spa_io_memory , spa_io_rate_match , spa_io_video_size , spa_meta , spa_meta_bitmap , spa_pod , spa_pod_builder , spa_pod_parser , spa_region , spa_video_info_h264 , spa_video_info_mjpg , spa_video_info_raw
- skel_size : spa_buffer_alloc_info
- snode : node
- source : client , client_data , impl , server
- source_browser : impl
- source_listener : impl
- source_props : impl
- SPA_ALIGNED() : handle
- start : pw_map_range , spa_io_segment , thread
- state : pw_link_info , pw_node_info , spa_graph , spa_graph_link , spa_graph_node , spa_io_position , spa_json , spa_pod_builder , spa_pod_parser
- state_changed : pw_filter_events , pw_impl_link_events , pw_impl_node_events , pw_impl_port_events , pw_stream_events
- state_request : pw_impl_node_events
- status : spa_graph_state , spa_io_buffers , spa_io_memory
- steal_fd : pw_protocol_client
- storage : metadata
- stream : impl
- stream_format : spa_video_info_h264
- stream_list : endpoint
- stream_listener : data , impl
- stream_props : impl
- streams_follow_default : impl
- stride : spa_chunk , spa_io_video_size , spa_meta_bitmap
- subgraph : spa_graph_node
- subject : item
- subscribe : filter
- subscribe_ids : resource_data
- subscribe_params : pw_device_methods , pw_node_methods , pw_port_methods
- support : pwtest_spa_plugin , support
- support_lib : support
- switched : impl
- sync : impl , pw_core_methods , spa_device_methods , spa_node_methods
- sync_list : impl
- sync_listener : device
- system : pw_loop
- system_bus : impl